using System;
using System.Collections.Generic;
using System.Text;
using System.Globalization;

namespace DateTime3
{
  class Program
  {
    static void Main(string[] args)
    {
      Console.WriteLine("Von: {0}", DateTime.MinValue);
      Console.WriteLine("Bis: {0}", DateTime.MaxValue);

      Console.WriteLine("Schaltjahr: {0}", DateTime.IsLeapYear(2007));

      Console.WriteLine("Monatstage: {0}", DateTime.DaysInMonth(2007, 2));

      Console.Write("\nDatum und Uhrzeit [{0}]: ", CultureInfo.CurrentUICulture.DateTimeFormat.FullDateTimePattern);
      string strIn = Console.ReadLine();

      DateTime dt;                               

      if (DateTime.TryParse(strIn, out dt))
      {
        Console.WriteLine(dt.ToString());
      }
      else
      {
        Console.WriteLine("Eingabefehler!");
      }
    }
  }
}
